GoPxL SDK

- Home
- Files
- Namespace

Public Member Functions | Friends
GoPxLSdk::GoGdpMeasurement Class Reference
Inheritance diagram for GoPxLSdk::GoGdpMeasurement:

## Public Member Functions
const k8u | Decision () const
| Gets the decision value stored in the measurement message. More...
void | Deserialize (kSerializer serializer) override
| Deserialize measurement message. More...
| GoGdpMeasurement ()
| Constructs GoGdpMeasurement. More...
const k64f | Value () const
| Gets the value stored in the measurement message. More...
| ~GoGdpMeasurement ()=default
Public Member Functions inherited from GoPxLSdk::GoGdpMsg
const k32u | ArrayedCount () const
| Get the count of messages in the array. More...
const k32u | ArrayedIndex () const
| Get the index of this message in the array. More...
const GoGdpBoundingBox & | BoundingBox () const
| Get bounding box. More...
const k64u | DataSetId () const
| Get the data set identifier. More...
const std::string & | DataSourceId () const
| Get the data source Id. More...
const k16u | GdpId () const
| Get the gdpId. More...
| GoGdpMsg (MessageType type=MessageType::NULL_TYPE)
| Constructs GoGdpMsg. More...
const bool | HasBoundingBox () const
| Get indicator if a bounding box exists or not. More...
const bool | HasTransform () const
| Get indicator if a transform (returned by Transform() API) exists for ths message. More...
const bool | IsLastMsg () const
| Get whether this messages is the last one within its current set. More...
const k8u | SpaceType () const
| Get space type value. More...
const std::string & | StampSourceId () const
| Get the stamp source Id. More...
const GoGdpTransform & | Transform () const
| Get pointer to the transformation matrix values. More...
const MessageType | Type () const
| Get concrete message type. More...
virtual | ~GoGdpMsg ()=default

## Friends
class | ::GoGdpMsgTests

## Additional Inherited Members
Protected Attributes inherited from GoPxLSdk::GoGdpMsg
CommonAttributes | attributes
MessageType | msgType

The documentation for this class was generated from the following file:

- GoGdpMsg/GoGdpMeasurement.h